zenilib: SDL_HapticCondition Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
SDL_HapticCondition Struct Reference

A structure containing a template for a Condition effect. More...

`#include <SDL_haptic.h>`

## Public Attributes

Uint16 | button
Sint16 | center [3]
Uint16 | deadband [3]
Uint16 | delay
SDL_HapticDirection | direction
Uint16 | interval
Sint16 | left_coeff [3]
Uint16 | left_sat [3]
Uint32 | length
Sint16 | right_coeff [3]
Uint16 | right_sat [3]
Uint16 | type

## Detailed Description

A structure containing a template for a Condition effect.

The struct handles the following effects:

- SDL_HAPTIC_SPRING: Effect based on axes position.
- SDL_HAPTIC_DAMPER: Effect based on axes velocity.
- SDL_HAPTIC_INERTIA: Effect based on axes acceleration.
- SDL_HAPTIC_FRICTION: Effect based on axes movement.

Direction is handled by condition internals instead of a direction member. The condition effect specific members have three parameters. The first refers to the X axis, the second refers to the Y axis and the third refers to the Z axis. The right terms refer to the positive side of the axis and the left terms refer to the negative side of the axis. Please refer to the SDL_HapticDirection diagram for which side is positive and which is negative.

See Also
  SDL_HapticDirection
  SDL_HAPTIC_SPRING
  SDL_HAPTIC_DAMPER
  SDL_HAPTIC_INERTIA
  SDL_HAPTIC_FRICTION
  SDL_HapticEffect

Definition at line 591 of file SDL_haptic.h.

## Member Data Documentation

Uint16 SDL_HapticCondition::button

Button that triggers the effect.

Definition at line 603 of file SDL_haptic.h.

Sint16 SDL_HapticCondition::center[3]

Position of the dead zone.

Definition at line 612 of file SDL_haptic.h.

Uint16 SDL_HapticCondition::deadband[3]

Size of the dead zone.

Definition at line 611 of file SDL_haptic.h.

Uint16 SDL_HapticCondition::delay

Delay before starting the effect.

Definition at line 600 of file SDL_haptic.h.

SDL_HapticDirection SDL_HapticCondition::direction

Direction of the effect - Not used ATM.

Definition at line 596 of file SDL_haptic.h.

Uint16 SDL_HapticCondition::interval

How soon it can be triggered again after button.

Definition at line 604 of file SDL_haptic.h.

Sint16 SDL_HapticCondition::left_coeff[3]

How fast to increase the force towards the negative side.

Definition at line 610 of file SDL_haptic.h.

Uint16 SDL_HapticCondition::left_sat[3]

Level when joystick is to the negative side.

Definition at line 608 of file SDL_haptic.h.

Uint32 SDL_HapticCondition::length

Duration of the effect.

Definition at line 599 of file SDL_haptic.h.

Sint16 SDL_HapticCondition::right_coeff[3]

How fast to increase the force towards the positive side.

Definition at line 609 of file SDL_haptic.h.

Uint16 SDL_HapticCondition::right_sat[3]

Level when joystick is to the positive side.

Definition at line 607 of file SDL_haptic.h.

Uint16 SDL_HapticCondition::type

SDL_HAPTIC_SPRING, SDL_HAPTIC_DAMPER, SDL_HAPTIC_INERTIA or SDL_HAPTIC_FRICTION

Definition at line 594 of file SDL_haptic.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/sdl/SDL/SDL_haptic.h